/**
 * TCB for Windows CE 3.0
 *
 * This file contains the specification of the functions
 * used by the "Timely Execution Service" and by the
 * "Timing Failure Detection Service". 
 *
 * Applications should specify here what functions they need
 * to submit to each of these services and associate it with an
 * id. The id is then used in the calls to the services.
 * 
 * The implementation of the functions should be done in the
 * file "functions_implementation.h"
 *
 * @author Paulo Sousa
 * @date 28/Nov/2002
 */


/**
 * How to specifiy a function:
 *
 * functions_spec[<id>].func = <func>;
 * functions_spec[<id>].func = <func_wcet>;
 *
 * where:
 *	<id> is the id that application uses when calling the services.
 *		 Note: Maximum id = MAX_FUNCTIONS-1
 *  <func> pointer to function being specified
 *  <func_wcet> pointer to function that returns the Worst Case Execution Time
 *				of <func>
 *
 * After specifying here, you have to implement both functions in file 
 * "functions_implementation.h"
 */


/* example */
functions_spec[0].func = timely_example;
functions_spec[0].wcet = timely_example_wcet;